This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477755 - Deleting account won't delete the saved password.
Deleting account won't delete the saved password.
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: thunderbird (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Kai Engert (:kaie)
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 06:08 EST by lihuang
Modified: 2009-01-13 11:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 11:21:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 255948 None None None Never

  None (edit)
Description lihuang 2008-12-23 06:08:19 EST
Description of problem:
the saved password is not deleted even the account it belongs to has been deleted.

with Gmail pop account. the record in Password Manager is not changed at all.
with Gmail imap account. only Username field is changed to "<not specified>"

the password of deleted accounts still be saved in
~/.thunderbird/v8a6wk0k.defaultsignons.txt

after set up those accounts again. password is not asked for download messages from server.and the Username field turn back to the right settings again.

In another scenario. I set a Master  Password.and the result is the same.






Version-Release number of selected component (if applicable):
thunderbird-2.0.0.19-1.el5_2

How reproducible:
Every time

Steps to Reproduce:
1.Set up an account on TB. and save the password.
2.Go to 'Edit' > 'Account Settings' > 'Remove Account'
3.Restart TB
4.Go to 'Edit' > 'Preferences' > 'Privacy' >'Passwords' > 'Edit Saved Passwords'

  
Actual results:
The password of the deleted account is not deleted.

Expected results:
the password should be deleted. 

Additional info:
Comment 1 Lawrence Lim 2008-12-30 00:44:56 EST
Does upstream has a bug for this issue as well?
Comment 2 lihuang 2008-12-30 02:44:12 EST
Yes. found this bug on Mozilla Foundation  
https://bugzilla.mozilla.org/show_bug.cgi?id=255948
Bug 255948 -  Stored password are retained after the account is deleted.
Comment 3 Matěj Cepl 2009-01-13 11:21:56 EST
We believe that this bug is more appropriate to be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.